export declare class NumberFilterHelper {
    private setModel;
    fromNumber: number;
    toNumber: number;
    type: string;
    displayEmptyFields: boolean;
    private i18n;
    constructor(setModel: (model: any) => void);
    isFilterActive(): boolean;
    fromNumberChanged(newVal: number, oldVal: number): void;
    toNumberChanged(newVal: number, oldVal: number): void;
    typeCheckedChanged(checked: boolean): void;
    private initModel;
    displayEmptyFieldsChanged(): void;
    fromNumberIsEmpty(): boolean;
    toNumberIsEmpty(): boolean;
    resetFilter(): void;
    setupContentGui(): string;
    setupContentGuiSideFilter(): string;
    getValue(): string;
    getModelAsString(): string;
}
